<?php
/**
 * Admin
 *
 * @package wp-fail2ban-addon-gravity-forms
 * @since 1.1.0
 */
namespace com\wp_fail2ban\addons\GravityForms;

defined('ABSPATH') or exit;

/**
 * Hook: admin_menu
 *
 * @since 1.1.0
 *
 * @return void
 */
function admin_menu()
{
    global $submenu;

    if (!is_multisite() || is_network_admin()) {
        $top_menu = (version_compare(WP_FAIL2BAN_VER_SHORT, '4.3', '>='))
            ? 'wp-fail2ban-menu'
            : 'wp-fail2ban';
        foreach ($submenu as &$menu) {
            if (isset($menu[0]) && $menu[0][2] == $top_menu) {
                $pricing = array_pop($menu);
                $hook = add_submenu_page(
                    $top_menu,
                    'Gravity Forms',
                    ' - Gravity Forms',
                    (is_multisite())
                        ? 'manage_network_options'
                        : 'manage_options',
                    'wp-fail2ban_addon_gravityforms',
                    __NAMESPACE__.'\splash'
                );
                add_action("load-$hook", function () {
                    require_once __DIR__.'/splash.php';
                });
                $menu[] = $pricing;
                break;
            }
        }
    }
}
add_action('admin_menu', __NAMESPACE__.'\admin_menu', PHP_INT_MAX);
add_action('network_admin_menu', __NAMESPACE__.'\admin_menu', PHP_INT_MAX);

